curl -X POST "https://api.helicone.ai/v1/prompt-2025/update" \
-H "Authorization: Bearer $HELICONE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "prompt_123",
"promptVersionId": "version_456",
"newMajorVersion": true,
"environment": "production",
"commitMessage": "Updated system prompt for better customer interactions",
"promptBody": {
"model": "gpt-4",
"messages": [
{
"role": "system",
"content": "You are an expert customer support assistant with deep knowledge of our products."
}
],
"temperature": 0.7
}
}'
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/update', {
method: 'POST',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
promptId: "prompt_123",
promptVersionId: "version_456",
newMajorVersion: true,
environment: "production",
commitMessage: "Updated system prompt for better customer interactions",
promptBody: {
model: "gpt-4",
messages: [
{
role: "system",
content: "You are an expert customer support assistant with deep knowledge of our products."
}
],
temperature: 0.7
}
}),
});
const result = await response.json();
{
"id": "version_789"
}
Prompts
Update Prompt
Create a new version of an existing prompt
POST
/
v1
/
prompt-2025
/
update
curl -X POST "https://api.helicone.ai/v1/prompt-2025/update" \
-H "Authorization: Bearer $HELICONE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "prompt_123",
"promptVersionId": "version_456",
"newMajorVersion": true,
"environment": "production",
"commitMessage": "Updated system prompt for better customer interactions",
"promptBody": {
"model": "gpt-4",
"messages": [
{
"role": "system",
"content": "You are an expert customer support assistant with deep knowledge of our products."
}
],
"temperature": 0.7
}
}'
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/update', {
method: 'POST',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
promptId: "prompt_123",
promptVersionId: "version_456",
newMajorVersion: true,
environment: "production",
commitMessage: "Updated system prompt for better customer interactions",
promptBody: {
model: "gpt-4",
messages: [
{
role: "system",
content: "You are an expert customer support assistant with deep knowledge of our products."
}
],
temperature: 0.7
}
}),
});
const result = await response.json();
{
"id": "version_789"
}
Creates a new version of an existing prompt with updated content. Can create either a major or minor version.
Request Body
string
required
The unique identifier of the prompt to update
string
required
The unique identifier of the current prompt version to base the update on
boolean
required
Whether to create a new major version (true) or minor version (false)
string
Optional environment to set for this new version (e.g., “production”, “staging”, “development”)
string
required
A description of the changes made in this version
OpenAIChatRequest
required
The updated prompt body following OpenAI chat completion format
Response
string
Unique identifier of the new prompt version
curl -X POST "https://api.helicone.ai/v1/prompt-2025/update" \
-H "Authorization: Bearer $HELICONE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "prompt_123",
"promptVersionId": "version_456",
"newMajorVersion": true,
"environment": "production",
"commitMessage": "Updated system prompt for better customer interactions",
"promptBody": {
"model": "gpt-4",
"messages": [
{
"role": "system",
"content": "You are an expert customer support assistant with deep knowledge of our products."
}
],
"temperature": 0.7
}
}'
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/update', {
method: 'POST',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
promptId: "prompt_123",
promptVersionId: "version_456",
newMajorVersion: true,
environment: "production",
commitMessage: "Updated system prompt for better customer interactions",
promptBody: {
model: "gpt-4",
messages: [
{
role: "system",
content: "You are an expert customer support assistant with deep knowledge of our products."
}
],
temperature: 0.7
}
}),
});
const result = await response.json();
{
"id": "version_789"
}
Was this page helpful?